Bug 1201799 - CVE-2015-0261 CVE-2015-2154 CVE-2015-2153 CVE-2015-2155 tcpdump: various flaws [fedora-all]
Summary: CVE-2015-0261 CVE-2015-2154 CVE-2015-2153 CVE-2015-2155 tcpdump: various flaw...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Sekletar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-0261 CVE-2015-2153 CVE-2015-2154 CVE-2015-2155
TreeView+ depends on / blocked
 
Reported: 2015-03-13 14:16 UTC by Martin Prpič
Modified: 2015-04-18 09:48 UTC (History)
3 users (show)

Fixed In Version: tcpdump-4.5.1-4.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 07:00:47 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Prpič 2015-03-13 14:16:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-03-13 14:16:59 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1201792,1201799

# Description of your update
notes=Security fix for CVE-2015-0261

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1201792,1201799

Comment 2 Martin Prpič 2015-03-13 14:17:11 UTC
Adding parent bug 1201795 (for CVE-2015-2153).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1201799,1201792,1201795

# Description of your update
notes=Security fix for CVE-2015-0261, CVE-2015-2153

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1201799,1201792,1201795

Comment 3 Martin Prpič 2015-03-13 14:17:23 UTC
Adding parent bug 1201797 (for CVE-2015-2154).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1201799,1201792,1201795,1201797

# Description of your update
notes=Security fix for CVE-2015-0261, CVE-2015-2153, CVE-2015-2154

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1201799,1201792,1201795,1201797

Comment 4 Martin Prpič 2015-03-13 14:17:36 UTC
Adding parent bug 1201798 (for CVE-2015-2155).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1201799,1201792,1201795,1201797

# Description of your update
notes=Security fix for CVE-2015-0261, CVE-2015-2154, CVE-2015-2153, CVE-2015-2155

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1201799,1201792,1201795,1201797

Comment 5 Fedora Update System 2015-03-25 16:17:27 UTC
tcpdump-4.7.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tcpdump-4.7.3-1.fc22

Comment 6 Fedora Update System 2015-03-25 16:20:30 UTC
tcpdump-4.7.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tcpdump-4.7.3-1.fc21

Comment 7 Fedora Update System 2015-03-25 16:21:57 UTC
tcpdump-4.5.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tcpdump-4.5.1-4.fc20

Comment 8 Fedora Update System 2015-03-29 04:28:53 UTC
Package tcpdump-4.7.3-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tcpdump-4.7.3-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4804/tcpdump-4.7.3-1.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-03-30 07:00:47 UTC
tcpdump-4.7.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-31 21:44:17 UTC
tcpdump-4.7.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-18 09:48:01 UTC
tcpdump-4.5.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.